# Interface methods for submodule: HDF5TransformIOTemplate
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import TransformIOBaseTemplateProxy as _TransformIOBaseTemplateProxy, HDF5CommonPathNamesProxy as _HDF5CommonPathNamesProxy


# Interface methods for class: HDF5TransformIOTemplate
class HDF5TransformIOTemplateProxy(_TransformIOBaseTemplateProxy, _HDF5CommonPathNamesProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def CanReadFile(self, arg0) -> bool:
		""""""
		...

	def CanWriteFile(self, arg0) -> bool:
		""""""
		...

	def Read(self) -> None:
		""""""
		...

	def Write(self) -> None:
		""""""
		...

